<template>
  <section class="b-preview">
    <Title text="Preview" />

    <div class="c-form-section b-preview-your-details">
      <Title text="Your details" type="secondary" />
      <div class="b-preview-your-details__list">
        <div class="b-preview-your-details__item">
          <Paragraph
            class="b-preview-your-details__label"
            text="Name"
            weight="semibold"
          />
          <Paragraph
            :text="`${form.userDetails.firstName} ${form.userDetails.lastName}`"
          />
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import { mapState } from "vuex";
import Title from "../../ui/Title";
import Paragraph from "../../ui/Paragraph";

export default {
  name: "RolePreview",
  components: { Paragraph, Title },
  data: function() {
    return {};
  },
  computed: {
    ...mapState(["form"])
  }
};
</script>

<style lang="scss">
.b-preview {
}
.b-preview-your-details {

}
</style>
